Subject: Re: [PATCH net] net: nfc: llcp: Add lock when modifying device list

From: Simon Horman <[email-masked]>
Date: Mon, 11 Sep 2023 07:59:04 +0200

On Sun, Sep 10, 2023 at 07:06:19PM -0400, Jeremy Cline wrote:
> On Sun, Sep 10, 2023 at 05:28:12PM +0200, Simon Horman wrote:
> > On Fri, Sep 08, 2023 at 07:58:53PM -0400, Jeremy Cline wrote:
> > > The device list needs its associated lock held when modifying it, or the
> > > list could become corrupted, as syzbot discovered.
> > > 
> > > Reported-and-tested-by: [email-masked]
> > > Closes: https://syzkaller.appspot.com/bug?extid=c1d0a03d305972dbbe14
> > > Signed-off-by: Jeremy Cline <[email-masked]>
> > 
> > Hi Jeremy,
> > 
> > thanks for your patch.
> > 
> > I don't think you need to resubmit for this,
> > I think this patch warrants a fixes tag:
> > 
> > Fixes: d646960f7986 ("NFC: Initial LLCP support")
> > 
> 
> My bad, indeed. The lock in question looks to have been added in
> 6709d4b7bc2e ("net: nfc: Fix use-after-free caused by
> nfc_llcp_find_local") which itself includes a couple fix tags, should
> this reference that commit instead as it won't backport without that
> one?

Yes, I think that is likely.
Sorry for not noticing that.

> > Otherwise, this looks good to me.
> > 
> > Reviewed-by: Simon Horman <[email-masked]>
> > 
> 
> Thanks,
> Jeremy
>